%define name hatari
%define version 0.95
%define distsuffix plf
%define release %mkrel 1

Summary: Hatari, an Atari ST emulator
Name: %{name}
Version: %{version}
Release: %{release}
BuildRequires: SDL-devel
Source0: %{name}-%{version}.tar.bz2
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
Group: Emulators
License: GPL
URL: http://hatari.sourceforge.net/
BuildRoot: %_tmppath/%{name}-build

%description
Hatari is an Atari ST and STE emulator.
The Atari ST was a 16/32 bit computer system which was first released by
Atari in 1985. Using the Motorola 68000 CPU, it was a very popular computer
having quite a lot of CPU power at that time. Unlike many other Atari ST
emulators which try to give you a good environment for running GEM
applications, Hatari tries to emulate the hardware of a ST as close as
possible so that it is able to run most of the old ST games and demos.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q

%build
%configure --datadir=%{_datadir}/%{name}
%make
pushd tools/hmsa
make
popd

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}

#man pages
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 doc/%{name}.1 %{buildroot}/%{_mandir}/man1/
install -d -m 755 %{buildroot}/%{_mandir}/fr/man1
install -m 644 doc/%{name}.1 %{buildroot}/%{_mandir}/fr/man1/

#install hmsa
install -m 755 tools/hmsa/hmsa %{buildroot}/%{_bindir}

#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{SOURCE10} %{buildroot}/%{_miconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 %{SOURCE11} %{buildroot}/%{_iconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{SOURCE12} %{buildroot}/%{_liconsdir}/%{name}.png

#menu item
#old debian-type menu
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
section="More Applications/Emulators" \
title="Hatari" \
longtitle="%{Summary}" \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
xdg="true"
EOF

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Hatari
Comment=%{Summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc readme.txt doc/*.txt doc/*.html doc/images/*
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1*
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_bindir}/hmsa
%{_datadir}/%{name}/tos.img
%{_datadir}/%{name}/%{name}-icon.bmp
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%clean
rm -rf %{buildroot}

%changelog
* Mon May 14 2007 Guillaume Bedot <littletux@zarb.org> 0.95-1plf2008.0
- First PLF package

